## ros-noetic-rm-dbus 0.1.18

=== CMakeLists.txt ===
--- 
+++ 
@@ -13,7 +13,6 @@
 find_package(catkin REQUIRED
     COMPONENTS
     roscpp
-    roslint
     rm_common
     )
 
@@ -100,9 +99,3 @@
 #      test/test_ros_package_template.cpp)
 #  target_link_libraries(${PROJECT_NAME}-test ${PROJECT_NAME}_core)
 #endif ()
-
-##########################
-## Static code analysis ##
-##########################
-
-roslint_cpp()
