=== debian/changelog ===
ros-noetic-rm-dbus (0.1.18-1focal) focal; urgency=high

  * Merge branch 'master' into dev/polygon_ui
  * Merge branch 'master' into gazebo_imu_reserve
  * Merge pull request #106 <https://github.com/ye-luo-xi-tui/rm_control/issues/106> from YoujianWu/work
    Delete dependence roslint.
  * Run pre-commit.
  * Delete dependence roslint.
  * Merge branch 'master' into acceleration
    # Conflicts:
    #     rm_common/include/rm_common/decision/command_sender.h
  * Merge pull request #104 <https://github.com/ye-luo-xi-tui/rm_control/issues/104> from ye-luo-xi-tui/master
    0.1.17
  * Contributors: Kook, ye-luo-xi-tui, yezi, yuchen

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 25 Mar 2023 00:00:00 -0000

ros-noetic-rm-dbus (0.1.17-1focal) focal; urgency=high

  * Merge branch 'rm-controls:master' into master
  * Merge pull request #84 <https://github.com/ye-luo-xi-tui/rm_control/issues/84> from ye-luo-xi-tui/master
    0.1.16
  * Contributors: ye-luo-xi-tui, 吕骏骐

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 21 Feb 2023 00:00:00 -0000

ros-noetic-rm-dbus (0.1.16-1focal) focal; urgency=high

  * Merge branch 'dev'
  * Merge branch 'rm-controls:master' into master
  * Merge branch 'master' into rm_referee_pr
  * Merge pull request #74 <https://github.com/ye-luo-xi-tui/rm_control/issues/74> from ye-luo-xi-tui/dev
    Update 0.1.15
  * Merge branch 'master' into referee
    # Conflicts:
    #     rm_common/include/rm_common/decision/service_caller.h
    #     rm_msgs/CMakeLists.txt
    #     rm_msgs/msg/referee/GameRobotStatus.msg
    #     rm_msgs/msg/referee/GameStatus.msg
  * Merge branch 'master' into referee1
  * Contributors: ye-luo-xi-tui, yezi, yuchen, 吕骏骐

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 24 Nov 2022 00:00:00 -0000

ros-noetic-rm-dbus (0.1.15-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 02 Sep 2022 00:00:00 -0000

ros-noetic-rm-dbus (0.1.14-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 16 Jun 2022 00:00:00 -0000

ros-noetic-rm-dbus (0.1.13-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 12 Jun 2022 00:00:00 -0000

ros-noetic-rm-dbus (0.1.12-1focal) focal; urgency=high

  * Merge pull request #59 <https://github.com/ye-luo-xi-tui/rm_control/issues/59> from ye-luo-xi-tui/master
    0.1.11
  * Contributors: QiayuanLiao

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sat, 11 Jun 2022 00:00:00 -0000

ros-noetic-rm-dbus (0.1.11-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: QiayuanLiao, YuuinIH, qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Fri, 10 Jun 2022 00:00:00 -0000

ros-noetic-rm-dbus (0.1.10-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 22 May 2022 00:00:00 -0000

ros-noetic-rm-dbus (0.1.9-1focal) focal; urgency=high

  * Merge remote-tracking branch 'origin/master'
  * Contributors: Jie j

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-noetic-rm-dbus (0.1.8-1focal) focal; urgency=high

  * Merge branch 'master' into master
  * Remove priority from dbus_node
  * Merge branch 'master' into gimbal/opti_or_simplify
  * Update CHANGELOG
  * Contributors: YuuinIH, qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Tue, 07 Dec 2021 00:00:00 -0000

ros-noetic-rm-dbus (0.1.7-1focal) focal; urgency=high

  * 0.1.6
  * Update CHANGELOG
  * Contributors: qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 26 Sep 2021 00:00:00 -0000

ros-noetic-rm-dbus (0.1.6-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Sun, 26 Sep 2021 00:00:00 -0000

ros-noetic-rm-dbus (0.1.5-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 02 Sep 2021 00:00:00 -0000

ros-noetic-rm-dbus (0.1.4-1focal) focal; urgency=high



 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Thu, 02 Sep 2021 00:00:00 -0000

ros-noetic-rm-dbus (0.1.3-1focal) focal; urgency=high

  * Format the code
  * Format the code
  * Add licence
  * Correct dbus to rm_dbus.
  * Correct the #include in dbus_node.cpp
  * Correct rm_dbus code format.
  * Correct code format.
  * Correct rm_dbus code format.
  * Correct rm_dbus code format.
  * Make rm_dbus version same with the other package in rm_control.
  * Merge remote-tracking branch 'alias_memory/metapackage'
  * Move all files to rm_dbus/rm_dbus,prepare for merge
  * Contributors: BruceLannn, qiayuan
  * Format the code
  * Format the code
  * Add licence
  * Correct dbus to rm_dbus.
  * Correct the #include in dbus_node.cpp
  * Correct rm_dbus code format.
  * Correct code format.
  * Correct rm_dbus code format.
  * Correct rm_dbus code format.
  * Make rm_dbus version same with the other package in rm_control.
  * Merge remote-tracking branch 'alias_memory/metapackage'
  * Move all files to rm_dbus/rm_dbus,prepare for merge
  * Contributors: BruceLannn, qiayuan

 -- Qiayuan Liao <liaoqiayuan@gmail.com>  Wed, 01 Sep 2021 00:00:00 -0000
