=== debian/control ===
Source: ros-noetic-rm-dbus
Section: misc
Priority: optional
Maintainer: Qiayuan Liao <liaoqiayuan@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-rm-common, ros-noetic-roscpp
Homepage: 
Standards-Version: 3.9.2

Package: ros-noetic-rm-dbus
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-rm-common, ros-noetic-roscpp
Description: A package that uses dbus to read remote control information
